Subject: Re: Metadata and checkin file date

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Apr 2010 14:25:15 -0700 (PDT)

Gerhard Wiesinger <[email-masked]> writes:
> On Tue, 27 Apr 2010, Andreas Ericsson wrote:
>> On 04/27/2010 09:38 PM, Gerhard Wiesinger wrote:
>>> On Tue, 27 Apr 2010, Andreas Ericsson wrote:
>>>> On 04/27/2010 07:23 AM, Gerhard Wiesinger wrote:

>>>>> b.) rights (basic: chmod, chow, chgrp, extended: extended attributes
>>>>> like ACLs and selinux), necessary for versioning e.g. /etc
>>>>
>>>> Sounds like you want a backup-program. Some projects have been
>>>> aimed towards this goal already. [...]. AFAIR, most of them work
>>>> with two hook-scripts that update a regular file with the
>>>> meta-data of all tracked files. [...]
>>>>
>>>> Adding it to core git would mean re-designing git's basic data
>>>> model, which is obviously not something we're about to do on
>>>> a whim.
>>>
>>> No, I'm NOT looking for a backup program. Every admin has the problem of
>>> versioning config files (for example /etc). Versioning of config files
>>> makes sense because one can track the changes and e.g. correlate to
>>> problems. A backup program doesn't have features like history, committer
>>> and comments on file changes. Therefore git would be a perfect tool also
>>> for versioning configuration. (Software development doesn't end with the
>>> build but typically also has deployment&configuration issues).

See IsiSetup, etckeeper and other such tools.

[...]
>> In short: What you want can be (and has been) done, but it's written
>> as addons and not integral parts of git.
> 
> A first quick look on them: They are only a workaround to the real
> problem. For example subversion therefore has generic properties which
> also can be user defined (e.g. svn propset/propget) and I think such a
> concept should also be integrated part of git.
> 
> Only my 2 cents making git (one of the SCM where I think it is very
> powerful and has also potential in the future) even better than
> competition.

Actually using *properties* is one of MIS-designs of Subversion.
Storing generic sh*t in repository is not a good idea either.

-- 
Jakub Narebski
Poland
ShadeHawk on #git